INTERFACE
SUBROUTINE GP_SPVAD(&
 & LDLADNMI,KST,KEND,&
 & PSPT0,PSPT0L,PSPT0M,PSPT9,&
 & PRE0,PRE0L,PRE0M,PRE9,&
 & PSPT5L,PSPT5M,PRE5,PRE95) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
LOGICAL ,INTENT(IN) :: LDLADNMI
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT5L(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT5M(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE95(NPROMA,0:NFLEVG)
END SUBROUTINE GP_SPVAD
END INTERFACE
